<config name="Spket IDE" version="1.6.23" dir="spket" executor="spket" web="http://www.spket.com/">
	<image banner="icons/install_wiz.gif" icon="icons/spket.gif, icons/spket32.gif" />
	<wizard width="504" height="379">
		<page class="com.spket.tiny.ui.WelcomePage"/>
		<page class="com.spket.tiny.ui.InstallTypePage"/>
		<page class="com.spket.tiny.ui.DirectoryPage" />
		<page class="com.spket.tiny.ui.ConfirmPage" />
		<page class="com.spket.tiny.ui.InstallPage" />
		<page class="com.spket.tiny.ui.FinishPage" />
	</wizard>
	<sections>
		<section label="rcp" path="${ECLIPSE_DIR}" required="${RCP_MODE}">
			<file res="rcp-all.dat" />
			<file res="rcp-win32.dat" os="win32" ws="win32" arch="x86" />
			<file res="rcp-linux.dat" os="linux" ws="gtk" arch="x86" />
		</section>
		<section label="spket" path="${RCP_DIR}" required="true">
			<file res="spket.dat" />
			<file res="spket-win32.dat" os="win32" ws="win32" arch="x86" />
		</section>
		<section label="spket-ide" path="${ECLIPSE_DIR}" required="${RCP_MODE}">
			<file res="spket-ide.dat" />
			<file res="spket-ide-win32.dat" os="win32" ws="win32" arch="x86" />
		</section>
		<section label="xerces" path="${RCP_DIR}" required="${INSTALL_XERCES}">
			<file res="xerces.dat" />
		</section>
	</sections>
	<installer class="com.spket.tiny.Installer" callback="com.spket.ide.installer.SpketCallback">
		<classes res="installer.jar" />
		<classes res="org.eclipse.swt.win32.win32.x86_3.3.0.v3346.jar" required="${RCP_MODE}" path="${ECLIPSE_DIR}/plugins" os="win32" ws="win32" arch="x86">
			<library name="swt-win32-3346.dll" />
		</classes>
		<classes res="org.eclipse.swt.gtk.linux.x86_3.3.0.v3346.jar" required="${RCP_MODE}" path="${ECLIPSE_DIR}/plugins" os="linux" ws="gtk" arch="x86">
			<library name="libswt-atk-gtk-3346.so" />
			<library name="libswt-pi-gtk-3346.so" />
			<library name="libswt-gtk-3346.so" />
		</classes>
	</installer>
</config>
